Skip to main content
POST
Create a ticket tier

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

eventId
string
required

Event ID

Example:

"evt_xyz789"

Body

application/json
name
string
required

The name of the ticket tier

Example:

"VIP"

price
number
required
Example:

150

currency
string
required
capacity
number
required
Example:

100

min_tickets_per_order
number
required
Example:

1

max_tickets_per_order
number
required
Example:

5

group_booking_enabled
boolean
required
Example:

false

group_discount_enabled
boolean
required
Example:

false

sale_start
number
required

Unix Timestamp (milliseconds)

Example:

1783882800000

sale_end
number
required

Unix Timestamp (milliseconds)

Example:

1784487600000

inclusions
string

Optional inclusions for this tier

Example:

"Free drinks, Front row seating"

sold_out
boolean
Example:

false

group_min_tickets
number
Example:

10

discount_type
enum<string>
Available options:
FIXED,
PERCENTAGE
Example:

"PERCENTAGE"

service_fee_rate
number

Decimal fee rate. If empty, the global default is used.

Example:

0.05

discount_value
number
Example:

15

show_remaining_tickets
boolean

Show remaining ticket count to customers

Example:

true

Response

Ticket tier created

eventId
string
Example:

"evt_techconf2025"

tierKey
string
Example:

"tier_general_admission"

tier
object
message
string
Example:

"Ticket tier created"